Bug 77408 - red error markers at warnings
red error markers at warnings
Status: CLOSED CURRENTRELEASE
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: eclipse-bugs
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-06 12:25 EST by Need Real Name
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-24 17:58:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-11-06 12:25:22 EST
Description of Problem:

When building a project that produces warnings on the console, although the
project is built and an executable is made, red error markers appear on the file
tab, project and file in the C/C++ projects view and line location of the
warning. I thought a red marker on a project name implies it has not been
built.Even the tasks view shows errors corresponding to the warnings, not
warnings. These markers should be yellow exclamations instead, corresponding to
how Eclipse represents warnings. 

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. create a standard Make C project
2. create a Makefile and a .c file which doesn't have a newline as the last line
of the file. 
3. building gives the warning "file.c:...:warning: no newline at end of file"

Actual Results: 
red error markers on project, file, file tab and warning location in file.

Expected Results:
should be yellow warning markers

Additional Information:
Comment 1 Jeremy Handcock 2003-07-24 17:58:56 EDT
This has since been fixed.  Closing.

Note You need to log in before you can comment on or make changes to this bug.